Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

PRApploader fails to load required classes from database

SA-19188

Summary



Pega Customer Service (PCS) for Healthcare 7.5 SP2 was installed on top of PRPC 6.2 SP2. The PRApploader failed with runtime error.

Error Messages



<Error> <com.pega.pegarules.internal.bootstrap.PRBootstrap> <BEA-000000> <Problem during method invocation (contextDestroyed)
.
.
.
at weblogic.security.service.SecurityManager.runAs(SecurityManager.java:120)

Steps to Reproduce



Install PCS for Healthcare 7.5 SP2 on top of PRPC 6.2 SP2 in Weblogic 10.3.4 environment on RHEL5.

Root Cause



PRApploader is a class loader that loads all the classes from the PRPC. Misconfiguring the data source in application server does not initialize a property.
 

Resolution



Use the correct Java Database Connectivity driver to resolve the issue.
Suggest Edit

Published February 9, 2016 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us